local _,class = UnitClass("player")
if class ~= "DRUID" then return end

local Babble = AceLibrary("Babble-Spell-2.2")
local L = AceLibrary("AceLocale-2.2"):new("ClosetGnomeSwitcher")

ClosetGnomeSwitcher_Druid = ClosetGnomeSwitcher:NewModule("ClosetGnomeSwitcher_Druid", "AceEvent-2.0")

function ClosetGnomeSwitcher_Druid:OnInitialize()
	self.db = ClosetGnomeSwitcher:AcquireDBNamespace("Druid")
	ClosetGnomeSwitcher:RegisterDefaults("Druid", "char", {
		catSet = nil,
		bearSet = nil,
		travelSet = nil,
		moonkinSet = nil,
	})

	ClosetGnomeSwitcher.Opts.args.catSet = {
		type = 'text',
		name = L["Cat Form"],
		desc = L["The set to use when in Druid Cat Form."],
		usage = '<setName>',
		validate = ClosetGnomeSwitcher.sets,
		get = function() return self.db.char.catSet or "None" end,
		set = function(v) self.db.char.catSet = v ~= "None" and v or nil end,
	}
	ClosetGnomeSwitcher.Opts.args.bearSet = {
		type = 'text',
		name = L["Bear Form"],
		desc = L["The set to use when in Bear Form."],
		usage = '<setName>',
		validate = ClosetGnomeSwitcher.sets,
		get = function() return self.db.char.bearSet or "None" end,
		set = function(v) self.db.char.bearSet = v ~= "None" and v or nil end,
	}
	ClosetGnomeSwitcher.Opts.args.travelSet = {
		type = 'text',
		name = L["Travel Form"],
		desc = L["The set to use when in Travel Form."],
		usage = '<setName>',
		validate = ClosetGnomeSwitcher.sets,
		get = function() return self.db.char.travelSet or "None" end,
		set = function(v) self.db.char.travelSet = v ~= "None" and v or nil end,
	}
	ClosetGnomeSwitcher.Opts.args.moonkinSet = {
		type = 'text',
		name = L["Moonkin Form"],
		desc = L["The set to use when in Moonkin Form."],
		usage = '<setName>',
		validate = ClosetGnomeSwitcher.sets,
		get = function() return self.db.char.moonkinSet or "None" end,
		set = function(v) self.db.char.moonkinSet = v ~= "None" and v or nil end,
	}
end

function ClosetGnomeSwitcher_Druid:OnEnable()
end

function ClosetGnomeSwitcher_Druid:DoSwitch()
	local currentForm = ClosetGnomeSwitcher:GetCurrentShapeshiftForm()

	if self.db.char.catSet ~= nil and currentForm == Babble["Cat Form"]  then 
		ClosetGnomeSwitcher:WearSet(self.db.char.catSet)	
		return true
	elseif self.db.char.bearSet ~= nil and (currentForm == Babble["Bear Form"] or currentForm == Babble["Dire Bear Form"]) then
		ClosetGnomeSwitcher:WearSet(self.db.char.bearSet)
		return true
	elseif self.db.char.travelSet ~= nil and (currentForm == Babble["Travel Form"] or currentForm == Babble["Dire Bear Form"]) then
		ClosetGnomeSwitcher:WearSet(self.db.char.travelSet)
		return true
	elseif self.db.char.moonkinSet ~= nil and (currentForm == Babble["Moonkin Form"] or currentForm == Babble["Dire Bear Form"]) then
		ClosetGnomeSwitcher:WearSet(self.db.char.moonkinSet)
		return true
	else
		return false
	end
end
