local _,class = UnitClass("player")
if class ~= "WARRIOR" then return end

local Babble = AceLibrary("Babble-Spell-2.2")
local L = AceLibrary("AceLocale-2.2"):new("ClosetGnomeSwitcher")

ClosetGnomeSwitcher_Warrior = ClosetGnomeSwitcher:NewModule("ClosetGnomeSwitcher_Warrior", "AceEvent-2.0")

function ClosetGnomeSwitcher_Warrior:OnInitialize()
	self.db = ClosetGnomeSwitcher:AcquireDBNamespace("Warrior")
	ClosetGnomeSwitcher:RegisterDefaults("Warrior", "char", {
		battleStanceSet = nil,
		defensiveStanceSet = nil,
		berserkerStanceSet = nil,
	})

	ClosetGnomeSwitcher.Opts.args.battleStanceSet = {
		type = 'text',
		name = L["Battle Stance"],
		desc = L["The set to use when in Battle Stance."],
		usage = '<setName>',
		validate = ClosetGnomeSwitcher.sets,
		get = function() return self.db.char.battleSet or "None" end,
		set = function(v) self.db.char.battleSet = v ~= "None" and v or nil end,
	}
	ClosetGnomeSwitcher.Opts.args.defensiveStanceSet = {
		type = 'text',
		name = L["Defensive Stance"],
		desc = L["The set to use when in Defensive Stance."],
		usage = '<setName>',
		validate = ClosetGnomeSwitcher.sets,
		get = function() return self.db.char.defensiveSet or "None" end,
		set = function(v) self.db.char.defensiveSet = v ~= "None" and v or nil end,
	}
	ClosetGnomeSwitcher.Opts.args.berserkerStanceSet = {
		type = 'text',
		name = L["Beserker Stance"],
		desc = L["The set to use when in Beserker Stance."],
		usage = '<setName>',
		validate = ClosetGnomeSwitcher.sets,
		get = function() return self.db.char.berserkerSet or "None" end,
		set = function(v) self.db.char.berserkerSet = v ~= "None" and v or nil end,
	}
end

function ClosetGnomeSwitcher_Warrior:DoSwitch()
	local currentForm = ClosetGnomeSwitcher:GetCurrentShapeshiftForm()
	if self.db.char.battleSet ~= nil and currentForm == Babble["Battle Stance"]  then 
		ClosetGnomeSwitcher:WearSet(self.db.char.battleSet)
		return true
	elseif self.db.char.defensiveSet ~= nil and currentForm == Babble["Defensive Stance"]  then
		ClosetGnomeSwitcher:WearSet(self.db.char.defensiveSet)
		return true
	elseif self.db.char.berserkerSet ~= nil and currentForm == Babble["Berserker Stance"]  then
		ClosetGnomeSwitcher:WearSet(self.db.char.berserkerSet)
		return true
	else
		return false
	end
end
